API Reference
Create Wallet [POST]

Create Wallet


https://sandboxapi.onbrails.com/api/v1/wallets/create-new-wallet (opens in a new tab)

Create a new company wallet

Body Parameters

ParametertypeRequired
currencystring

Allowed values : KES, UGX, NGN, USD

Request

Wallets/Create Wallet [POST]
curl --request POST \
   --url https://sandboxapi.onbrails.com/api/v1/wallets/create-new-wallet \
   --header 'Authorization: Bearer YOUR_SECRET_KEY' \
   --header 'accept: application/json' \
   --header 'content-type: application/json' \
   --data '
{
  "currency": "ngn" 
}
'

Responses

🟢 200 - Result example
{
"status": true,
"message": "Wallet Created",
"data": {
  "id": "e1730835-8f29-470f-9c7c-8fdb6acf8600",
  "createdAt": "2026-03-06T10:50:18.412Z",
  "updatedAt": "2026-03-06T10:50:18.412Z",
  "name": "usd Wallet",
  "companyId": "2040db5c-5066-458d-999a-c19c10559598",
  "active": true,
  "description": "USD Wallet for Company",
  "currency": "usd",
  "type": "accounts",
  "thresholdReminderAmount": "0",
  "thresholdReminderActive": false
}
}